Subject: Re: 23.0.90; Don't delete /tmp/emacs$ID/server on kill-emacs

From: Damien Cassou <[email-masked]>
Date: Thu, 12 Feb 2009 15:07:37 +0100

On Thu, Feb 12, 2009 at 2:53 PM, Chong Yidong <[email-masked]> wrote:
>> when I kill emacs daemon with M-x kill-emacs, it does not delete the
>> generated file /tmp/emacs$USERID/server, preventing a new emacs daemon
>> from running correctly.
>
> I can't reproduce this bug.  Please provide a precise recipe for it,
> starting with `emacs -Q --daemon'.

I can't reproduce the bug either with -Q. Here is the recipe without:

$ rm /tmp/emacs1000/server
$ /usr/bin/emacs-snapshot --daemon
...
Starting Emacs daemon.
$ /usr/bin/emacsclient -c -e "(kill-emacs)"
[answer yes to the question]
$ ls /tmp/emacs1000/server
/tmp/emacs1000/server=

I also tried with --no-init-file and could not reproduce the bug
either. But with --no-site-file I was able to reproduce it.

Does it mean there is a problem with my configuration files? How can I find it?

-- 
Damien Cassou
http://damiencassou.seasidehosting.st